package com.cardiff.cmyTest;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

public class HospitalDtoGetterSetterTest {

    // 使用静态内部类，不会生成额外的 class 文件
    static class HospitalDto {
        private String hospitalId;
        private String hospitalName;

        public String getHospitalId() {
            return hospitalId;
        }

        public void setHospitalId(String hospitalId) {
            this.hospitalId = hospitalId;
        }

        public String getHospitalName() {
            return hospitalName;
        }

        public void setHospitalName(String hospitalName) {
            this.hospitalName = hospitalName;
        }
    }

    @Test
    public void testHospitalDtoGettersAndSetters() {
        HospitalDto dto = new HospitalDto();
        dto.setHospitalId("H001");
        dto.setHospitalName("Cardiff General");

        assertEquals("H001", dto.getHospitalId());
        assertEquals("Cardiff General", dto.getHospitalName());
    }
}
